<?php
require_once(getabspath("classes/cipherer.php"));



$tdataGraduates_Instant_Report = array();
$tdataGraduates_Instant_Report[".ShortName"] = "Graduates_Instant_Report";

$pages = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$defaultPages = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );

$tdataGraduates_Instant_Report[".pages"] = $pages;
$tdataGraduates_Instant_Report[".defaultPages"] = $defaultPages;


//	field labels
$fieldLabelsGraduates_Instant_Report = array();
$pageTitlesGraduates_Instant_Report = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsGraduates_Instant_Report["English"] = array();
}

//	search fields
$tdataGraduates_Instant_Report[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"ChartGraduatesByYears", "field"=>"TOTALL2004" );
$tdataGraduates_Instant_Report[".searchFields"]["ChartGraduatesByYears_TOTALL2004"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"ChartGraduatesByYears", "field"=>"TOTALL2005" );
$tdataGraduates_Instant_Report[".searchFields"]["ChartGraduatesByYears_TOTALL2005"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"ChartGraduatesByYears", "field"=>"TOTALL2006" );
$tdataGraduates_Instant_Report[".searchFields"]["ChartGraduatesByYears_TOTALL2006"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"ChartGraduatesByYears", "field"=>"TOTALL2007" );
$tdataGraduates_Instant_Report[".searchFields"]["ChartGraduatesByYears_TOTALL2007"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"ChartGraduatesByYears", "field"=>"TOTALL2008" );
$tdataGraduates_Instant_Report[".searchFields"]["ChartGraduatesByYears_TOTALL2008"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"ChartGraduatesByYears", "field"=>"TOTALL2009" );
$tdataGraduates_Instant_Report[".searchFields"]["ChartGraduatesByYears_TOTALL2009"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"ChartGraduatesByYears", "field"=>"TOTALL2010" );
$tdataGraduates_Instant_Report[".searchFields"]["ChartGraduatesByYears_TOTALL2010"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"ChartGraduatesByYears", "field"=>"TOTALL2011" );
$tdataGraduates_Instant_Report[".searchFields"]["ChartGraduatesByYears_TOTALL2011"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"ChartGraduatesByYears", "field"=>"TOTALL2012" );
$tdataGraduates_Instant_Report[".searchFields"]["ChartGraduatesByYears_TOTALL2012"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"ChartGraduatesByYears", "field"=>"TOTALL2013" );
$tdataGraduates_Instant_Report[".searchFields"]["ChartGraduatesByYears_TOTALL2013"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"ChartGraduatesByYears", "field"=>"TOTALL2014" );
$tdataGraduates_Instant_Report[".searchFields"]["ChartGraduatesByYears_TOTALL2014"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"ChartGraduatesByYears", "field"=>"TOTALL2015" );
$tdataGraduates_Instant_Report[".searchFields"]["ChartGraduatesByYears_TOTALL2015"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"ChartGraduatesByYears", "field"=>"TOTALL2016" );
$tdataGraduates_Instant_Report[".searchFields"]["ChartGraduatesByYears_TOTALL2016"] = $dashField;

// all search fields
$tdataGraduates_Instant_Report[".allSearchFields"] = array();
$tdataGraduates_Instant_Report[".allSearchFields"][] = "ChartGraduatesByYears_TOTALL2004";
$tdataGraduates_Instant_Report[".allSearchFields"][] = "ChartGraduatesByYears_TOTALL2005";
$tdataGraduates_Instant_Report[".allSearchFields"][] = "ChartGraduatesByYears_TOTALL2006";
$tdataGraduates_Instant_Report[".allSearchFields"][] = "ChartGraduatesByYears_TOTALL2007";
$tdataGraduates_Instant_Report[".allSearchFields"][] = "ChartGraduatesByYears_TOTALL2008";
$tdataGraduates_Instant_Report[".allSearchFields"][] = "ChartGraduatesByYears_TOTALL2009";
$tdataGraduates_Instant_Report[".allSearchFields"][] = "ChartGraduatesByYears_TOTALL2010";
$tdataGraduates_Instant_Report[".allSearchFields"][] = "ChartGraduatesByYears_TOTALL2011";
$tdataGraduates_Instant_Report[".allSearchFields"][] = "ChartGraduatesByYears_TOTALL2012";
$tdataGraduates_Instant_Report[".allSearchFields"][] = "ChartGraduatesByYears_TOTALL2013";
$tdataGraduates_Instant_Report[".allSearchFields"][] = "ChartGraduatesByYears_TOTALL2014";
$tdataGraduates_Instant_Report[".allSearchFields"][] = "ChartGraduatesByYears_TOTALL2015";
$tdataGraduates_Instant_Report[".allSearchFields"][] = "ChartGraduatesByYears_TOTALL2016";

// good like search fields
$tdataGraduates_Instant_Report[".googleLikeFields"] = array();
$tdataGraduates_Instant_Report[".googleLikeFields"][] = "ChartGraduatesByYears_TOTALL2004";
$tdataGraduates_Instant_Report[".googleLikeFields"][] = "ChartGraduatesByYears_TOTALL2005";
$tdataGraduates_Instant_Report[".googleLikeFields"][] = "ChartGraduatesByYears_TOTALL2006";
$tdataGraduates_Instant_Report[".googleLikeFields"][] = "ChartGraduatesByYears_TOTALL2007";
$tdataGraduates_Instant_Report[".googleLikeFields"][] = "ChartGraduatesByYears_TOTALL2008";
$tdataGraduates_Instant_Report[".googleLikeFields"][] = "ChartGraduatesByYears_TOTALL2009";
$tdataGraduates_Instant_Report[".googleLikeFields"][] = "ChartGraduatesByYears_TOTALL2010";
$tdataGraduates_Instant_Report[".googleLikeFields"][] = "ChartGraduatesByYears_TOTALL2011";
$tdataGraduates_Instant_Report[".googleLikeFields"][] = "ChartGraduatesByYears_TOTALL2012";
$tdataGraduates_Instant_Report[".googleLikeFields"][] = "ChartGraduatesByYears_TOTALL2013";
$tdataGraduates_Instant_Report[".googleLikeFields"][] = "ChartGraduatesByYears_TOTALL2014";
$tdataGraduates_Instant_Report[".googleLikeFields"][] = "ChartGraduatesByYears_TOTALL2015";
$tdataGraduates_Instant_Report[".googleLikeFields"][] = "ChartGraduatesByYears_TOTALL2016";

$tdataGraduates_Instant_Report[".dashElements"] = array();

	$dbelement = array( "elementName" => "ChartGraduatesByYears_chart", "table" => "ChartGraduatesByYears", 
		 "pageName" => "","type" => 1);
	$dbelement["cellName"] = "cell_0_2";

			

	$tdataGraduates_Instant_Report[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "ChartGraduatesByDistrict_chart", "table" => "ChartGraduatesByDistrict", 
		 "pageName" => "","type" => 1);
	$dbelement["cellName"] = "cell_1_1";

			

	$tdataGraduates_Instant_Report[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "GraduatesByDistrict_report", "table" => "GraduatesByDistrict", 
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_1_0";

			

	$tdataGraduates_Instant_Report[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "GraduatesYears_report", "table" => "GraduatesYears", 
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_0_0";

			

	$tdataGraduates_Instant_Report[".dashElements"][] = $dbelement;

$tdataGraduates_Instant_Report[".shortTableName"] = "Graduates_Instant_Report";
$tdataGraduates_Instant_Report[".entityType"] = 4;



$tableEvents["Graduates Instant Report"] = new eventsBase;
$tdataGraduates_Instant_Report[".hasEvents"] = false;


$tdataGraduates_Instant_Report[".tableType"] = "dashboard";


		
$tdataGraduates_Instant_Report[".addPageEvents"] = false;

$tdataGraduates_Instant_Report[".isUseAjaxSuggest"] = true;

$tables_data["Graduates Instant Report"]=&$tdataGraduates_Instant_Report;
$field_labels["Graduates_Instant_Report"] = &$fieldLabelsGraduates_Instant_Report;
$page_titles["Graduates_Instant_Report"] = &$pageTitlesGraduates_Instant_Report;

?>